import openfl.display.BitmapData;
import openfl.display.Bitmap;
class SpriteSheet{
    public static var spriteSheetArray:Array<SpriteSheet> = [];
    public var sprites:Array<Bitmap> = [];
    public function new(bmp:Bitmap = null, sprWidth:Int = 16, sprHeight:Int = 16){
        spriteSheetArray.push(this);
        var columns:Int = cast((bmp.width / sprWidth),Int);
        var rows:Int = cast((bmp.height / sprHeight),Int);
        for(i in 0...columns){
            for (j in 0...rows){
                
            }
        }
    }
}